package net.morilib.nina.cmd;

import java.io.IOException;
import java.io.OutputStream;

import net.morilib.nina.NinaConsole;
import net.morilib.sh.ShFile;
import net.morilib.sh.ShFileSystem;

public interface NinaInfo extends NinaConsole {

	/**
	 * 
	 * @return
	 */
	public String getOutputFilename();

	/**
	 * 
	 * @return
	 */
	public String getFilename();

	/**
	 * 
	 * @return
	 */
	public String getClassName();

	/**
	 * 
	 * @return
	 */
	public String getBufSize();

	/**
	 * 
	 * @param s
	 * @return
	 */
	public Object getTitleFile(String s);

	/**
	 * 
	 * @return
	 */
	public Object getOutputDir();

	/**
	 * 
	 * @return
	 */
	public NinaConsole getConsole();

	/**
	 * 
	 * @param path
	 * @param file
	 * @return
	 * @throws IOException
	 */
	public OutputStream getOutputStream(Object path,
			String file) throws IOException;

	/**
	 * 
	 * @param file
	 * @return
	 * @throws IOException
	 */
	public OutputStream getOutputStream(
			Object file) throws IOException;

	/**
	 * 
	 */
	public void postprocess();

	/**
	 * 
	 * @return
	 */
	public ShFile getShOutputDir(ShFileSystem fs);

	/**
	 * 
	 * @return
	 */
	public ShFile getShOutputFile(ShFileSystem fs, String p, String f);

}
